﻿Option Strict On
Imports System.Xml.Linq

Public Class ImageInfo
    Public Property 画像名 As String
End Class
Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Dim xmldoc As XElement = XElement.Load("Photo.xml")
        Dim query = From c In xmldoc.Descendants("画像名") Select c

        Dim myImageInfo As New List(Of ImageInfo)

        For Each result In query
            myImageInfo.Add(New ImageInfo With {.画像名 = "Image/" & result.Value})
        Next
        ListBox1.ItemsSource = myImageInfo
    End Sub
End Class